
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Googler：现在可以 Linux 终端下进行 Google 搜索了！ / iVAN</title>

    <meta name="description" content="Googler：现在可以 Linux 终端下进行 Google 搜索了！ 一个小问题:你每天做什么事?当然了,好多事情,但是我可以指出一件事,你几乎每天(如果不是每天)都会用 Google 搜索,我说的对吗?(LCTT 译注:Google 是啥?/cry ) 现在,如果你是一位 Linux 用户(我猜你也是),这里有另外一个问题:如果你甚至不用离开终端就可以进行 Google 搜索那岂不是相当棒?甚至不用打开一个浏览器窗口? 如果你是一位类 *nix 系统的狂热者而且也是喜欢终端界面的人,我知道你的答案是肯定的,而且我认为,接下来你也将喜欢上我今天将要介绍的这个漂亮的">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Googler：现在可以 Linux 终端下进行 Google 搜索了！</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一个小问题：你每天做什么事？当然了，好多事情，但是我可以指出一件事，你几乎每天（如果不是每天）都会用 Google 搜索，我说的对吗？（LCTT 译注：Google 是啥？/cry ）</p>
<p>现在，如果你是一位 Linux 用户（我猜你也是），这里有另外一个问题：如果你甚至不用离开终端就可以进行 Google 搜索那岂不是相当棒？甚至不用打开一个浏览器窗口？</p>
<p>如果你是一位类 <a href="https://en.wikipedia.org/wiki/Unix-like" rel="external nofollow noreferrer">*nix</a> 系统的狂热者而且也是喜欢终端界面的人，我知道你的答案是肯定的，而且我认为，接下来你也将喜欢上我今天将要介绍的这个漂亮的小工具。它被称做 Googler。</p>
<h3>Googler：在你 linux 终端下的 google</h3>
<p>Googler 是一个简单的命令行工具，它用于直接在命令行窗口中进行 google 搜索，Googler 主要支持三种类型的 Google 搜索：</p>
<ul>
<li>Google 搜索：简单的 Google 搜索，和在 Google 主页搜索是等效的。</li>
<li>Google 新闻搜索：Google 新闻搜索，和在 Google News 中的搜索一样。</li>
<li>Google 站点搜索：Google 从一个特定的网站搜索结果。</li>
</ul>
<p>Googler 用标题、链接和网页摘要来显示搜索结果。搜索出来的结果可以仅通过两个按键就可以在浏览器里面直接打开。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNjA5LzIwLzEzNDMzOHJ6NWVpOGlzNXg1YTVsbWUucG5n.jpg"></p>
<h3>在 Ubuntu 下安装 Googler</h3>
<p>先让我们进行软件的安装。</p>
<p>首先确保你的 python 版本大于等于 3.3，可以用以下命令查看。</p>
<pre>
</pre>
<ol>
<li><code>python3 --version</code></li>
</ol>
<p>如果不是的话，就更新一下。Googler 要求 python 版本 3.3 及以上运行。</p>
<p>虽然 Googler 现在还不能在 Ununtu 的软件库中找到，我们可以很容易地从 GitHub 仓库中安装它。我们需要做的就是运行以下命令：</p>
<pre>
</pre>
<ol>
<li><code>cd /tmp</code></li>
<li><code>git clone https://github.com/jarun/googler.git</code></li>
<li><code>cd googler</code></li>
<li><code>sudo make install</code></li>
<li><code>cd auto-completion/bash/</code></li>
<li><code>sudo cp googler-completion.bash /etc/bash_completion.d/</code></li>
</ol>
<p>这样 Googler 就带着命令自动完成特性安装完毕了。</p>
<h3>特点 &amp; 基本用法</h3>
<p>如果我们快速浏览它所有的特点，我们会发现 Googler 实际上是一个十分强大的工具，它的一些主要特点就是：</p>
<h4>交互界面</h4>
<p>在终端下运行以下命令：</p>
<pre>
</pre>
<ol>
<li><code>googler</code></li>
</ol>
<p>交互界面就会被打开，Googler 的开发者 <a href="https://github.com/jarun" rel="external nofollow noreferrer">Arun Prakash Jana</a> 称之为全向提示符omniprompt，你可以输入 <code>?</code> 去寻找可用的命令参数：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNjA5LzIwLzEzNDM0OXBxYzU0aWlpajd6ZzBpOXMucG5n.jpg"></p>
<p>在提示符处，输入任何搜索词汇关键字去开始搜索，然后你可以输入<code>n</code>或者<code>p</code>导航到搜索结果的后一页和前一页。</p>
<p>要在浏览器窗口中打开搜索结果，直接输入搜索结果的编号，或者你可以输入 <code>o</code> 命令来打开这个搜索网页。</p>
<h4>新闻搜索</h4>
<p>如果你想去搜索新闻，直接以<code>N</code>参数启动 Googler：</p>
<pre>
</pre>
<ol>
<li><code>googler -N</code></li>
</ol>
<p>随后的搜索将会从 Google News 抓取结果。</p>
<h4>站点搜索</h4>
<p>如果你想从某个特定的站点进行搜索，以<code>w 域名</code>参数启动 Googler：</p>
<pre>
</pre>
<ol>
<li><code>googler -w itsfoss.com</code></li>
</ol>
<p>随后的搜索会只从这个博客中抓取结果！</p>
<h4>手册页</h4>
<p>运行以下命令去查看 Googler 的带着各种用例的手册页：</p>
<pre>
</pre>
<ol>
<li><code>man googler</code></li>
</ol>
<h4>指定国家/地区的 Google 搜索引擎</h4>
<pre>
</pre>
<ol>
<li><code>googler -c in "hello world"</code></li>
</ol>
<p>上面的示例命令将会开始从 Google 的印度域名搜索结果（in 代表印度）</p>
<p>还支持：</p>
<ul>
<li>通过时间和语言偏好来过滤搜索结果</li>
<li>支持 Google 查询关键字，例如：<code>site:example.com</code> 或者 <code>filetype:pdf</code> 等等</li>
<li>支持 HTTPS 代理</li>
<li>Shell 命令自动补全</li>
<li>禁用自动拼写纠正</li>
</ul>
<p>这里还有更多特性。你可以用 Googler 去满足你的需要。</p>
<p>Googler 也可以和一些基于文本的浏览器整合在一起（例如：<a href="http://elinks.or.cz/" rel="external nofollow noreferrer">elinks</a>、<a href="http://links.twibright.com/" rel="external nofollow noreferrer">links</a>、<a href="http://lynx.browser.org/" rel="external nofollow noreferrer">lynx</a>、w3m 等），所以你甚至都不用离开终端去浏览网页。在 <a href="https://github.com/jarun/googler#faq" rel="external nofollow noreferrer">Googler 的 GitHub 项目页</a>可以找到指导。</p>
<p>如果你想看一下 Googler 不同的特性的视频演示，方便的话你可以查看 GitHub 项目页附带的终端记录演示页： <a href="https://asciinema.org/a/85019" rel="external nofollow noreferrer">jarun/googler v2.7 quick demo</a>。</p>
<h3>对于 Googler 的看法？</h3>
<p>尽管 googler 可能并不是对每个人都是必要和渴望的，对于一些不想打开浏览器进行 google 搜索或者就是想泡在终端窗口里面的人来说，这是一个很棒的工具。你认为呢？</p>
<p>原文发布时间为：2016-09-20</p>
<p>本文来自合作伙伴“Linux中国”</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 06:51:07</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%b5%8f%e8%a7%88%e5%99%a8/" title="浏览器">浏览器</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>, <a href="https://www.iamivan.net/tag/google/" title="google">google</a>, <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>, <a href="https://www.iamivan.net/tag/github/" title="github">github</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Googler：现在可以 Linux 终端下进行 Google 搜索了！的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bamQQgb.html" rel="bookmark">Linux终端下 dstat 监控工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux终端下 dstat 监控工具 dstat 是一个可以取代vmstat,iostat,netstat和ifstat这些命令的多功能产品.dstat克服了这些命令的局限并增加了一些另外的功能,增加了监控项,也变得更灵活了.dstat可以很方便监控系统运行状况并用于基准测试和排除故障. dstat可以让你实时地看到所有系统资源,例如,你能够通过统计IDE控制器当前状态来比较磁盘利用率,或者直接通过网络带宽数值来比较磁盘的吞吐率(在相同的时间间隔内). dstat将以列表的形式为你提供选项信息			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPWa9rM.html" rel="bookmark">在 Linux 终端下使用 calcurse 安排约会和待办事项</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在 Linux 终端下使用 calcurse 安排约会和待办事项 如果你是一个享受linux终端的系统管理员,但同样需要一种方法来安排每天最重要的任务.约会和会议,你会发现calcurse是一个很有用的工具.calcurse包含了日历.一个待办事项管理.一个调度程序和一个可配置的通知系统,这些都集成进了一个软件中,基于的都是ncurse的接口.同时,它不会限制你在终端中,你可以将你的日历和笔记导出成可以打印的格式. 本篇文章我们会探索如何在Linux上安装calcurse,并且教你如何利用它的特			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrvdJjM.html" rel="bookmark">在Linux终端下使用代理访问网络&lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近,需要在linux环境下使用脚本进行一些网络访问(主要是HTTP请求与文件下载),于是查阅了一些关于代理的资料. 以下是尝试的几种代理设置方法,以供参考: 一.使用wget命令进行代理访问 wget非常强大,支持代理设置,代理可以在环境变量或wgetrc文件中设定 方法1:当前环境变量设置 #export PROXY=http://219.239.66.253:80/这样,就可以使用wget进行代理下载境外网络了.不过,这种环境变量设置只对当前环境有效,重启后设置将消失. 方法2:wget配			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Ywj4z.html" rel="bookmark">linux 终端下敲ctrl-c时，到底发生了什么&quest;&lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过telnet登录到单板,然后按ctrl-c会发生什么情况,流程是怎么样的? 在分析之前,先介绍tty的相关知识.我们可以认为,所有跟输入输出相关的操作,最终都由tty来接管.举例来说,当我们敲 ls /dev时得到 [cpp] view plaincopy ls /dev/ -l   total 0   crw-------  1 root root     10, 235  8月 16 13:08 autofs   drwxr-xr-x  2 root root         720  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z407DNz.html" rel="bookmark">如何在 Linux 终端下创建新的文件系统&sol;分区</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在 Linux 中创建分区或新的文件系统通常意味着一件事:安装 Gnome Parted 分区编辑器(GParted).对于大多数 Linux 用户而言,这是唯一的办法.不过,你是否考虑过在终端创建这些分区和文件系统?当然可以!以下就是方法! 使用 CFdisk 创建一个基本的 Linux 分区 以下是如何在命令行中创建一个基本的 Linux 分区的正确方案.要做的第一件事就是先打开你的终端.若你已打开,你需要找到你想要创建分区的磁盘.这可以使用一个简单的命令来找到. lsblk 当你运行了 l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRq3xxb.html" rel="bookmark">linux终端vim操作系统模拟问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 linux终端vim操作系统模拟问题 #include&lt;stdio.h&gt; #include&lt;stdlib.h&gt; #include&lt;time.h&gt; #include&lt;string.h&gt; int main( void ) { struct process{ char pname[3]; char *next; int act; int runt; char sta; }; int a[5]; int i,j=0,m,n,u=1,o; int curre			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NEJqz.html" rel="bookmark">个性化您的Ubuntu Linux终端</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题发现 前段时间把Python程序在终端中输出设置着实改了一通,见前几天的一篇博客 Python实现设置终端显示颜色.粗体.下划线等效果 感觉世界瞬间充满了色彩,但是还是不爽,因为最关键的是,我们最最亲爱的终端是黑白的.... 于是....我希望&quot;他&quot;能够充满色彩,我还是一如既往的坏. Linux终端颜色显示设置 原理依旧是Linux终端下的颜色设置在Linux终端中,使用转义序列来进行如上所述的显示,转义序列以ESC开头,即ASCII码下的\033,其格式为: \033[显示方式;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVw3QVb.html" rel="bookmark">Google搜索从入门到精通v4&period;0</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 SEO诊断 淘宝客 云主机 技术大厅 Google搜索从入门到精通v4.0  发布日期:2004-2-17 19:59:11   作者:   出处:     1,前言 2,摘要 3,如何使用本文 4,Google简介 5,搜索入门 6,初阶搜索  6.1,搜索结果要求包含两个及两个以上关键字  6.2,搜索结果要求不包含某些特定信息  6.3,搜索结果至少包含多个关键字中的任意一个 7,杂项语法  7.1,通配符问题  7.2,关键字的字母大小写  7.3,搜索整个短语或者句子  7.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPOyovM.html" rel="bookmark">Google搜索从入门到精通（1）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 SEO诊断 淘宝客 云主机 技术大厅 1.Google简介 Google是一个搜索引擎,由两个斯坦福大学博士生Larry Page与Sergey Brin于1998年 9月发明,Google Inc. 于1999年创立.2000年7月份,Google替代Inktomi成为Yahoo公司的搜索引擎,同年9月份,Google成为中国网易公司的搜索引擎.98年至今,GOOGLE已经获得30多项业界大奖. GOOGLE的成功得益于其强大的功能和独到的特点: GOOGLE支持多达132种语言,包			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJR97z.html" rel="bookmark" class="title">域名抢注入门</a>
					<div>
						域名抢注就是一个域名在被别人注册之前,抢先将此域名以注册人的名义注册下来的行为. 好的国际域名基本上已经被欧美等发达国家瓜分完毕.现在要得到一个好的国际域名,要么高价购买.要么抢注.每天都有大量的过期 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgO7ZM.html" rel="bookmark" class="title">Javascript技术技巧大全（三）</a>
					<div>
						javascript|技巧 //计算内容宽和高 &lt;SCRIPT  language=&quot;javascript&quot;&gt;   function  test(obj)   {    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrEL4b.html" rel="bookmark" class="title">利用C&num;查询视图字段基于基表的字段</a>
					<div>
						视图     在SQL Server 2000里,通过sysdepends,syscolumns等这些系统表无法找到多层次视图的最基底表字段依赖,特别是在视图采用别名的时候.但在某些环境下,软件系统又 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKK05p.html" rel="bookmark" class="title">silverlight在企业应用开发中的定位</a>
					<div>
						从silverlight 1开始,MS对这个技术的定位似乎更重视于互联网应用的娱乐性体验,但是,我认为 silverlight技术应该更多关注一下企业应用的解决方案. 把html应用于企业应用的原始动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnX7lz.html" rel="bookmark" class="title">C语言学习教程第八章-枚举、位运算&lpar;2&rpar;</a>
					<div>
						枚举类型变量的赋值和使用 枚举类型在使用中有以下规定:1. 枚举值是常量,不是变量.不能在程序中用赋值语句再对它赋值.例如对枚举weekday的元素再作以下赋值: sun=5;mon=2;sun=mo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91qJvM.html" rel="bookmark" class="title">Windows区对象&lpar;Bands&rpar;的创建与定制</a>
					<div>
						本文配套源码 一.简介 Windows的区(Bands)对象有三种:既浏览栏(Explorer Bar)区对象,工具栏(Tools Bands)区对象,和桌面区对象(Desk Bands). 浏览栏区 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGj7X2p.html" rel="bookmark" class="title">如何解决宽带连接错误718</a>
					<div>
						  宽带连接错误718现象,极少数为用户端问题: 步骤一:建议首先重启计算机后拨号测试: (1)如果故障解决,故障原因无. (2)如果故障依旧或没法进行简单配合,可电话向客服电话10000电信(100 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balXxmz.html" rel="bookmark" class="title">Excel怎么批量删除</a>
					<div>
						  1. 删除空白行或列 可以从选区.当前工作表.所选中工作表或所有工作表中删除所有空行.如果您的工作簿里有多张表有可能有空行,一个个删除这些空行会十分耗时,使用该功能可一键帮您解决空行问题. 操作方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmYO6z.html" rel="bookmark" class="title">fla是什么文件</a>
					<div>
						  fla是什么文件? fla是保存有flash原码的文件,我们可以在Flash中打开,编辑和保存它,你只要用CTRL+ENTER 就可以产生一个.swf文件.所有的原始素材都保存在fla文件中,由于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QRPjp.html" rel="bookmark" class="title">mvc-Ext&period;net Mvc4 布局显示树</a>
					<div>
						问题描述 Ext.net Mvc4 布局显示树 下面是代码 @( Html.X() .Window() .Width(500) .Height(500) .Title(&quot;布局&quot;)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmQLvz.html" rel="bookmark" class="title">可口可乐系统拜访类型规划路线系统案例</a>
					<div>
						挑战 http://www.aliyun.com/zixun/aggregation/8700.html&quot;&gt;可口可乐中国公司希望将公司多年来积累的数据和现有的IT投资结合,更好的进行项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA5NaM.html" rel="bookmark" class="title">app-求大神 android studio 无法将程序安装到模拟器中并执行</a>
					<div>
						问题描述 求大神 android studio 无法将程序安装到模拟器中并执行 新手刚刚安装android studio 碰到 如下问题:Error running app: Instant Run  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjxKVp.html" rel="bookmark" class="title">acm-杭电1022 wrong answer</a>
					<div>
						问题描述 杭电1022 wrong answer #include&lt;iostream&gt; #include&lt;string.h&gt; using namespace std; char ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRA2Ab.html" rel="bookmark" class="title">社会化网络推广（下） 浅析推广的五个步骤</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 在博主社会化网络推广的上篇当中,葫 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKEv8b.html" rel="bookmark" class="title">如何查询这样的数据？</a>
					<div>
						问题描述 表里有这样的数据ID TIMES1 21 21 01 32 22 22 2希望查询到当id相同的记录中times全都为2的 id的列表也就是说,执行sql后,希望得到的结果:ID2不知道该怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAJ3qp.html" rel="bookmark" class="title">巨人网络仙途内测开始 全部网游&OpenCurlyDoubleQuote;好玩不黑，薄利多销&rdquo;</a>
					<div>
						在巨人网络发布净营收超过3亿人民币的一季度财报同一天,巨人网络董事长史玉柱在杭州宣布,&quot;赢在巨人&quot;计划的第一款仙侠类网游大作&lt;仙途&gt;正式启动内测,巨人网络接下来将有数款 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4ewWYb.html" rel="bookmark" class="title">Base-64 字符串中的无效字符</a>
					<div>
						问题描述 各位大神,最近用阿里云的OSS,我把字符串用gzip算法压缩后上传到服务器,再取回来,解压,值没变,但为什么解压不了?报&quot;Base-64字符串中的无效字符&quot;的错误,求各位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgZPOM.html" rel="bookmark" class="title">跪求-已经安装好AppServe&comma;如何在此基础上安装Moodle？？</a>
					<div>
						问题描述 已经安装好AppServe,如何在此基础上安装Moodle?? 有没有从事Moodle方面的工作的朋友呀,我好想找你们帮帮忙!希望好心人能加我QQ314038121 解决方案 你就在这里问问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nlOPz.html" rel="bookmark" class="title">数字解密如何解决</a>
					<div>
						问题描述 score=061720244323920%7C224%2C208%2C28%2C%7Cef82f57dfc53cfa0715ba68d44ea2120%7C638abff964addd2b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk42mM.html" rel="bookmark" class="title">报表-ireport结合struts2，为什么会找本地的jasper，而不是工程里的jasper</a>
					<div>
						问题描述 ireport结合struts2,为什么会找本地的jasper,而不是工程里的jasper 打开带有子报表的报表时报net.sf.jasperreports.engine.JRExcepti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJoJ5p.html" rel="bookmark" class="title">LINUX 查找tomcat日志关键词</a>
					<div>
						#查询catalina.out日志文件中的关键词为2016-04-13 11:26:00的日志信息 grep -C 10 '2016-04-13 11:26:00' catalina.out |mor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRN2L3M.html" rel="bookmark" class="title">代码-报错 Uncaught SyntaxError&colon; Unexpected token ILLEGAL</a>
					<div>
						问题描述 报错 Uncaught SyntaxError: Unexpected token ILLEGAL 下面是 报错的那段代码 的 结果值 代码是 var data_info = ${truck ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKLmLM.html" rel="bookmark" class="title">详解PHP中instanceof关键字及instanceof关键字有什么作用&lowbar;php实例</a>
					<div>
						PHP5的另一个新成员是instdnceof关键字.使用这个关键字可以确定一个对象是类的实例.类的子类,还是实现了某个特定接口,并进行相应的操作.在某些情况下,我们希望确定某个类是否特定的类型,或者是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NVxJz.html" rel="bookmark" class="title">php实现博客，论坛图片防盗链的方法&lowbar;php技巧</a>
					<div>
						本文实例讲述了php实现博客,论坛图片防盗链的方法.分享给大家供大家参考,具体如下: 防盗链的方式很多,我这里就说说我对放盗链的理解,这个跟防止远程提交是一个原理. 先介绍一个函数 uniqid(st ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze05Ywp.html" rel="bookmark" class="title">cad中用vba调整图层顺序</a>
					<div>
						问题描述 cad中用vba调整图层顺序 在cad中,如何用vba语句调整图层顺序,有cad自带的命令语句吗 解决方案 http://bbs.mjtd.com/forum.php?mod=viewthr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPljY0p.html" rel="bookmark" class="title">iframe嵌套页面设置子页面的滚动条</a>
					<div>
						问题描述 iframe嵌套页面,我现在想给每个子页面都设置滚动条,滚动条的宽度:w=document.documentElement.clientWidth-250:滚动条的高度:h=document ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QjRAM.html" rel="bookmark" class="title">软件领域的新机会</a>
					<div>
						摘要: 每经记者 谢晓萍 发自北京 在传统管理软件巨头面临转型困境之时,一家名不见经传的软件公司却受到了资本的青睐. 昨日,&lt;每日经济新闻&gt;记者从博科资讯股份有限公司(以下简称 在传统管理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YRW7p.html" rel="bookmark" class="title">微博强制改版杀伤力有多大？用户给差评求还原</a>
					<div>
						DoNews 10月29日消息(记者 安宏)公测期间就引来不少吐槽的微博新版在http://www.aliyun.com/zixun/aggregation/18783.html&quot;&gt;正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAAaRp.html" rel="bookmark" class="title">优酷下月召开股东大会 土豆网将从纳斯达克摘牌</a>
					<div>
						今年3月震惊国内视频行业的&quot;http://www.aliyun.com/zixun/aggregation/36318.html&quot;&gt;优土合并&quot;,即将在下月迎来关键节 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3YBY0p.html" rel="bookmark" class="title">斯诺登说Allo并不安全：FBI随时能查你的聊天记录</a>
					<div>
						Google 最近在 Android 和 iOS 平台上同时推出了一款智能 IM 应用 Allo,该应用结合了 Google Assistant 语音助手和图像识别等人工智能技术,并很快就获得大批用户 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
